%define module_version 1.16
%define module_name switchman
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(Linux/MemInfo.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Log/Dispatch.pm) perl(Moo.pm) perl(Net/Domain.pm) perl(Net/Ping.pm) perl(Net/ZooKeeper.pm) perl(Net/ZooKeeper/Lock.pm) perl(Net/ZooKeeper/Semaphore.pm) perl(POSIX.pm) perl(Parse/Crontab.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Sys/CPU.pm) perl(Sys/SigAction.pm) perl(Test/Deep.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.16
Release: alt1
Summary: flock-style distributed locks and semaphores
Group: Development/Perl
License: perl
URL: https://github.com/komarov/switchman

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KO/KOMAROV/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1
- regenerated from template by package builder

* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- initial import by package builder

